GDCM: gdcm::CommandDataSet Class Reference

GDCM 3.2.11

Public Member Functions | Friends | List of all members
gdcm::CommandDataSet Class Reference

Class to represent a Command DataSet. More...

`#include <gdcmCommandDataSet.h>`

Inheritance diagram for gdcm::CommandDataSet:
[legend]
Collaboration diagram for gdcm::CommandDataSet:
[legend]

## Public Member Functions
| CommandDataSet ()=default
| ~CommandDataSet ()=default
void | Insert (const DataElement &de)
std::istream & | Read (std::istream &is)
| Read.
void | Replace (const DataElement &de)
std::ostream & | Write (std::ostream &os) const
| Write.
Public Member Functions inherited from gdcm::DataSet
Iterator | Begin ()
ConstIterator | Begin () const
void | Clear ()
template<typename TDE>
unsigned int | ComputeGroupLength (Tag const &tag) const
Iterator | End ()
ConstIterator | End () const
bool | FindDataElement (const PrivateTag &t) const
| Look up if private tag 't' is present in the dataset:
bool | FindDataElement (const Tag &t) const
const DataElement & | FindNextDataElement (const Tag &t) const
const DataElement & | GetDataElement (const PrivateTag &t) const
| Return the dataelement.
const DataElement & | GetDataElement (const Tag &t) const
DataElementSet & | GetDES ()
const DataElementSet & | GetDES () const
template<typename TDE>
VL | GetLength () const
MediaStorage | GetMediaStorage () const
std::string | GetPrivateCreator (const Tag &t) const
PrivateTag | GetPrivateTag (const Tag &t) const
| Return the private tag of the private tag 't', private creator will be set to empty if not found.
void | Insert (const DataElement &de)
bool | IsEmpty () const
| Returns if the dataset is empty.
const DataElement & | operator() (uint16_t group, uint16_t element) const
DataSet & | operator= (DataSet const &)=default
const DataElement & | operator[] (const Tag &t) const
void | Print (std::ostream &os, std::string const &indent="") const
template<typename TDE, typename TSwap>
std::istream & | Read (std::istream &is)
template<typename TDE, typename TSwap>
std::istream & | ReadNested (std::istream &is)
template<typename TDE, typename TSwap>
std::istream & | ReadSelectedPrivateTags (std::istream &is, const std::set< PrivateTag > &tags, bool readvalues=true)
template<typename TDE, typename TSwap>
std::istream & | ReadSelectedPrivateTagsWithLength (std::istream &is, const std::set< PrivateTag > &tags, VL &length, bool readvalues=true)
template<typename TDE, typename TSwap>
std::istream & | ReadSelectedTags (std::istream &is, const std::set< Tag > &tags, bool readvalues=true)
template<typename TDE, typename TSwap>
std::istream & | ReadSelectedTagsWithLength (std::istream &is, const std::set< Tag > &tags, VL &length, bool readvalues=true)
template<typename TDE, typename TSwap>
std::istream & | ReadUpToTag (std::istream &is, const Tag &t, std::set< Tag > const &skiptags)
template<typename TDE, typename TSwap>
std::istream & | ReadUpToTagWithLength (std::istream &is, const Tag &t, std::set< Tag > const &skiptags, VL &length)
template<typename TDE, typename TSwap>
std::istream & | ReadWithLength (std::istream &is, VL &length)
SizeType | Remove (const Tag &tag)
| Completely remove a dataelement from the dataset.
void | Replace (const DataElement &de)
| Replace a dataelement with another one.
void | ReplaceEmpty (const DataElement &de)
| Only replace a DICOM attribute when it is missing or empty.
SizeType | Size () const
template<typename TDE, typename TSwap>
std::ostream const & | Write (std::ostream &os) const

## Friends
std::ostream & | operator<< (std::ostream &_os, const CommandDataSet &_val)

## Additional Inherited Members
Public Types inherited from gdcm::DataSet
typedef DataElementSet::const_iterator | ConstIterator
typedef std::set< DataElement > | DataElementSet
typedef DataElementSet::iterator | Iterator
typedef DataElementSet::size_type | SizeType
Protected Member Functions inherited from gdcm::DataSet
Tag | ComputeDataElement (const PrivateTag &t) const
const DataElement & | GetDEEnd () const
void | InsertDataElement (const DataElement &de)

## Detailed Description

Class to represent a Command DataSet.

See also
  DataSet

## Constructor & Destructor Documentation

## ◆ CommandDataSet()

gdcm::CommandDataSet::CommandDataSet | ( |  | ) |
| default

Referenced by ~CommandDataSet(), and operator<<.

## ◆ ~CommandDataSet()

gdcm::CommandDataSet::~CommandDataSet | ( |  | ) |
| default

References CommandDataSet(), and operator<<.

## Member Function Documentation

## ◆ Insert()

void gdcm::CommandDataSet::Insert | ( | const DataElement & | de | ) |
| inline

References gdcmErrorMacro, gdcm::Tag::GetGroup(), gdcm::DataElement::GetTag(), and gdcm::DataSet::InsertDataElement().

Referenced by Replace().

## ◆ Read()

std::istream & gdcm::CommandDataSet::Read | ( | std::istream & | is | ) |

Read.

## ◆ Replace()

void gdcm::CommandDataSet::Replace | ( | const DataElement & | de | ) |
| inline

References gdcm::DataElement::GetTag(), Insert(), and gdcm::DataSet::Remove().

## ◆ Write()

std::ostream & gdcm::CommandDataSet::Write | ( | std::ostream & | os | ) | const

Write.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const CommandDataSet & | _val )
| friend

References CommandDataSet(), operator<<, and gdcm::DataSet::Print().

Referenced by ~CommandDataSet(), and operator<<.

The documentation for this class was generated from the following file:

- gdcmCommandDataSet.h